#ifndef _ADC_H
#define _ADC_H

#include <avr/io.h>
#include <avr/interrupt.h>

void adc_init(void);
void adc_start(void);
void adc_stop(void);
void adc_set_num_samples(uint8_t num);
void adc_set_sample_period(uint8_t time_ms);
void adc_loop(void);

#endif
