#ifndef _EXP_BOARD_CONFIG_H
#define _EXP_BOARD_CONFIG_H

/* ADC configuration values */
#define ADC_MAX_NUM_SAMPLES                16 

/* compass configuration values */
#define COMPASS_MAX_NUM_SAMPLES            16

/* dynamixel slave configuration values */
#define DYN_SLAVE_DIFF_BUFFER_LEN          128
#define DYN_SLAVE_SE_BUFFER_LEN            128

/* I2C configuration values */
#define I2C_RX_BUFFER_LEN                  32
#define I2C_TX_BUFFER_LEN                  32

/* PWM configuration values */
#define PWM_DEFAULT_FREQ                   50// Hz
#define PWM_DEFAULT_DUTY                   50// %

/* software uarts configuration values */
#define UART_TTL_DEFAULT_BAUDRATE          9600
#define UART_TTL_RX_BUFFER_SIZE            32
#define UART_USB_DEFAULT_BAUDRATE          9600
#define UART_USB_RX_BUFFER_SIZE            32

#endif
