#ifndef _PWM_H
#define _PWM_H

#include <avr/io.h>
#include <avr/interrupt.h>

typedef enum {pwm0=0,pwm1=1,pwm2=2,pwm3=3} pwm_id_t;

void pwm_init(void);
void pwm_start(void);
void pwm_stop(void);
void pwm_enable_ch(pwm_id_t id);
void pwm_disable_ch(pwm_id_t id);
void pwm_set_frequency(uint16_t freq_hz);
void pwm_set_duty_cycle(pwm_id_t id,uint16_t duty);

#endif
