#ifndef _PWM_DYN_EMM_H
#define _PWM_DYN_EMM_H

#include <avr/io.h>

// public functions
void pwm_dyn_init(void);
void pwm_dyn_set_dyn_id(uint8_t index,uint8_t new_id);
uint8_t pwm_dyn_check_id(uint8_t id);
uint8_t pwm_dyn_do_write(uint8_t id,uint8_t address,uint8_t length,uint8_t *data);
uint8_t pwm_dyn_do_read(uint8_t id,uint8_t address,uint8_t length,uint8_t **data);
uint8_t pwm_dyn_do_reg_write(uint8_t id,uint8_t address, uint8_t length,uint8_t *data);
uint8_t pwm_dyn_do_action(uint8_t id);
uint8_t pwm_dyn_do_sync_write(uint8_t *buffer);
void pwm_dyn_loop(void);

#endif
