#ifndef _DAC_H
#define _DAC_H

#include <avr/io.h>
#include <avr/interrupt.h>

typedef enum {dac0=0,dac1=1} dac_ch_t;

void dac_init(void);
void dac_start(void);
void dac_stop(void);
void dac_enable_channel(dac_ch_t ch);
void dac_disable_channel(dac_ch_t ch);
void dac_set_voltage(dac_ch_t ch,uint16_t voltage);

#endif
