#ifndef DYN_SLAVE_DIFF_H
#define DYN_SLAVE_DIFF_H

#include <avr/interrupt.h>
#include <avr/io.h>
#include "dyn_common.h"

void dyn_slave_diff_init(uint8_t baudrate,uint8_t id);
void dyn_slave_diff_set_baudrate(uint8_t baudrate);
void dyn_slave_diff_set_id(uint8_t id);
void dyn_slave_diff_loop(void);
void dyn_slave_diff_set_error(uint8_t error);
void dyn_slave_diff_clear_error(void);

#endif
