#ifndef _MEM_H
#define _MEM_H

#include <avr/io.h>
#include "memory_map.h"

extern uint8_t ram_data[RAM_SIZE];

void ram_init(void);
uint8_t ram_read(uint8_t address, uint8_t length, uint8_t **data);
uint8_t ram_write(uint8_t address, uint8_t length, uint8_t *data);
uint8_t eeprom_write(uint8_t address, uint8_t length, uint8_t *data);

#endif
