#ifndef UART_TTL_H
#define UART_TTL_H

/* public functions */
void uart_ttl_init(void);
void uart_ttl_start(void);
void uart_ttl_stop(void);
void uart_ttl_set_baudrate(uint32_t baudrate);
void uart_ttl_send_byte(uint8_t data);
uint8_t uart_ttl_is_sending(void);
uint8_t uart_ttl_receive_byte(uint8_t* data);
uint8_t uart_ttl_is_data_available(void);

#endif
