#ifndef UART_USB_H
#define UART_USB_H

/* public functions */
void uart_usb_init(void);
void uart_usb_start(void);
void uart_usb_stop(void);
void uart_usb_set_baudrate(uint32_t baudrate);
void uart_usb_send_byte(uint8_t data);
uint8_t uart_usb_is_sending(void);
uint8_t uart_usb_receive_byte(uint8_t* data);
uint8_t uart_usb_is_data_available(void);

#endif
